import request from '@/utils/request'

// 查询工会信息列表
export function listInformation(query) {
    return request({
        url: '/crmUnionInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询工会信息详细
export function getInformation(id) {
    return request({
        url: '/crmUnionInformation/' + id,
        method: 'get'
    })
}

// 新增工会信息
export function addInformation(data) {
    return request({
        url: '/crmUnionInformation',
        method: 'post',
        data: data
    })
}

// 修改工会信息
export function updateInformation(data) {
    return request({
        url: '/crmUnionInformation',
        method: 'put',
        data: data
    })
}

// 删除工会信息
export function delInformation(id) {
    return request({
        url: '/crmUnionInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmUnionInformation/delete',ids)
}